Bug 486271 - toolbar appears too early
toolbar appears too early
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Peng Huang
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-19 01:31 EST by Matthias Clasen
Modified: 2009-02-25 01:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-25 01:48:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2009-02-19 01:31:42 EST
When ibus is configured to start at login, the floating, naked toolbar appears as the first thing, way before the panel starts. This looks bad.

The toolbar should remain hidden until the statusicon is embbed in the panel.

See the GtkStatusIcon notify::embedded signal
Comment 1 Peng Huang 2009-02-23 01:27:35 EST
I changed the default value of panel/auto_hide. So user will not see the naked toolbar, if they do not use ibus-setup to modify the default value of auto_hide.
Comment 2 Peng Huang 2009-02-25 01:48:05 EST
The new release has been built

Note You need to log in before you can comment on or make changes to this bug.